services:

  smartgear.migrations.v1_0_0.m202203231730.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_0\M202203231730\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $configurationFramwayCombinedManager: '@smartgear.config.manager.framway_combined'
    public: true

  smartgear.migrations.v1_0_0.m202205130814.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_0\M202205130814\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_1.m202301050800.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_1\M202301050800\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_2.m202301051700.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_2\M202301051700\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_3.m202301100950.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_3\M202301100950\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $templatesSmartgearSynchronizer: '@smartgear.classes.directories_synchronizer.templates.smartgear'
    public: true

  smartgear.migrations.v1_0_4.m202301110935.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_4\M202301110935\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $templatesSmartgearSynchronizer: '@smartgear.classes.directories_synchronizer.templates.smartgear'
    public: true

  smartgear.migrations.v1_0_5.m202301131435.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_5\M202301131435\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $templatesSmartgearSynchronizer: '@smartgear.classes.directories_synchronizer.templates.smartgear'
    public: true

  smartgear.migrations.v1_0_7.m202303291542.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_7\M202303291542\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_8.m202303291542.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_8\M202303291542\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_9.m202305012112.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_9\M202305012112\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_10.m202305311835.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_10\M202305311835\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_11.m202306152248.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_11\M202306152248\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_12.m202306231015.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_12\M202306231015\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_13.m202306271601.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_13\M202306271601\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_14.m202307061615.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_14\M202307061615\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
    public: true

  smartgear.migrations.v1_0_15.m202307171545.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 15
    public: true

  smartgear.migrations.v1_0_16.m202307181107.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 16
    public: true

  smartgear.migrations.v1_0_17.m202307241045.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 17
    public: true

  smartgear.migrations.v1_0_18.m202307251509.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 18
    public: true

  smartgear.migrations.v1_0_19.m202307281157.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 19
    public: true

  smartgear.migrations.v1_0_20.m202308040846.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 20
    public: true

  smartgear.migrations.v1_0_21.m202308080921.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_21\M202308080921\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $localConfigurationManager: '@smartgear.config.manager.local_config'
    public: true

  smartgear.migrations.v1_0_21.m202308181214.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_21\M202308181214\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $htmlDecoder: '@contao.string.html_decoder'
    public: true

  smartgear.migrations.v1_0_21.m202310121049.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_21\M202310121049\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $htaccessAnalyzer: '@smartgear.classes.analyzer.htaccess'
    public: true

  smartgear.migrations.v1_0_22.m202310131044.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 22
    public: true

  smartgear.migrations.v1_0_23.m202310241614.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 23
    public: true

  smartgear.migrations.v1_0_24.m202311021346.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 24
    public: true

  smartgear.migrations.v1_0_25.m202311201059.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 25
    public: true

  smartgear.migrations.v1_0_26.m202311281720.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 26
    public: true

  smartgear.migrations.v1_0_27.m202401191210.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 27
    public: true
    
  smartgear.migrations.v1_0_28.m202402061818.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 28
    public: true
    
  smartgear.migrations.v1_0_29.m202404150950.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 29
    public: true
    
  smartgear.migrations.v1_0_30.m202404240943.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 30
    public: true

  smartgear.migrations.v1_0_31.m202405141120.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 31
    public: true

  smartgear.migrations.v1_0_32.m202405311133.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_32\M202405311133\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $templatesSmartgearSynchronizer: '@smartgear.classes.directories_synchronizer.templates.smartgear'
    public: true

  smartgear.migrations.v1_0_33.m202406240000.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 33
    public: true

  smartgear.migrations.v1_0_34.m202407020000.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 34
    public: true

  smartgear.migrations.v1_0_35.m202407251417.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_35\M202407251417\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $templatesSmartgearSynchronizer: '@smartgear.classes.directories_synchronizer.templates.smartgear'
    public: true

  smartgear.migrations.v1_0_36.m202407311645.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 36
    public: true

  smartgear.migrations.v1_0_38.m202408221511.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 38
    public: true

  smartgear.migrations.v1_0_39.m202410281417.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 39
    public: true

  smartgear.migrations.v1_0_40.m202412171530.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 40
    public: true

  smartgear.migrations.v1_0_41.m202501101501.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 41
    public: true

  smartgear.migrations.v1_0_42.m202501211648.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 42
    public: true

  smartgear.migrations.v1_0_43.m202501241204.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 43
    public: true

  smartgear.migrations.v1_0_44.m202502121430.migration:
    class: WEM\SmartgearBundle\Migrations\PlaceholderMigration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $x: 1
      $y: 0
      $z: 44
    public: true

  smartgear.migrations.v1_0_45.m202503141412.migration:
    class: WEM\SmartgearBundle\Migrations\V1_0_45\M202503141412\Migration
    arguments:
      $connection: '@database_connection'
      $translator: '@contao.translation.translator'
      $coreConfigurationManager: '@smartgear.config.manager.core'
      $versionComparator: '@smartgear.classes.version.comparator'
      $templatesSmartgearSynchronizer: '@smartgear.classes.directories_synchronizer.templates.smartgear'
    public: true


